# OSGeo::FDO::Geometry::GeometryFactoryAbstract Class Reference
[OSGeo::FDO::Geometry]

Inheritance diagram for OSGeo::FDO::Geometry::GeometryFactoryAbstract:

[legend]

List of all members.

## Detailed Description

The GeometryFactoryAbstract class is a factory (abstract, non-pure) for Geometry objects and Geometry helper objects.

()

## Public Member Functions
OSGeo::FDO::Geometry::ICircularArcSegment * | CreateCircularArcSegment (OSGeo::FDO::Geometry::IDirectPosition *startPosition, OSGeo::FDO::Geometry::IDirectPosition *midPosition, OSGeo::FDO::Geometry::IDirectPosition *endPosition)
| CircularArcSegment.
OSGeo::FDO::Geometry::ICurvePolygon * | CreateCurvePolygon (OSGeo::FDO::Geometry::IRing *exteriorRing, OSGeo::FDO::Geometry::RingCollection *interiorRings)
| CurvePolygon.
OSGeo::FDO::Geometry::ICurveString * | CreateCurveString (OSGeo::FDO::Geometry::CurveSegmentCollection *curveSegments)
| CurveString.
OSGeo::FDO::Geometry::IEnvelope * | CreateEnvelope (OSGeo::FDO::Geometry::IEnvelope *envelope)
| Creates a envelope object by copying from another envelope.
OSGeo::FDO::Geometry::IEnvelope * | CreateEnvelope (System::Int32 dimensionType, System::Double ordinates __gc[])
| Creates an envelope object by copying from an array of ordinates.
OSGeo::FDO::Geometry::IEnvelope * | CreateEnvelope (OSGeo::FDO::Geometry::IDirectPosition *lowerLeft, OSGeo::FDO::Geometry::IDirectPosition *upperRight)
| Envelope.
OSGeo::FDO::Geometry::IEnvelope * | CreateEnvelopeXY (System::Double lowerLeftX, System::Double lowerLeftY, System::Double upperRightX, System::Double upperRightY)
| Creates an envelope object using X and Y ordinates.
OSGeo::FDO::Geometry::IEnvelope * | CreateEnvelopeXYZ (System::Double lowerLeftX, System::Double lowerLeftY, System::Double lowerLeftZ, System::Double upperRightX, System::Double upperRightY, System::Double upperRightZ)
| Creates an envelope object using X, Y and Z ordinates.
OSGeo::FDO::Geometry::IGeometry * | CreateGeometry (OSGeo::FDO::Geometry::IEnvelope *envelope)
| Creates a Geometry object by converting from an envelope.
OSGeo::FDO::Geometry::IGeometry * | CreateGeometry (System::String *text)
| Creates a Geometry object by converting from a text string.
OSGeo::FDO::Geometry::IGeometry * | CreateGeometry (OSGeo::FDO::Geometry::IGeometry *geometry)
| Geometry.
OSGeo::FDO::Geometry::ILinearRing * | CreateLinearRing (System::Int32 dimensionality, System::Int32 ordinateNumber, System::Double ordinates __gc[])
| Creates a LinearRing object by copying from an array of ordinates.
OSGeo::FDO::Geometry::ILinearRing * | CreateLinearRing (OSGeo::FDO::Geometry::DirectPositionCollection *positions)
| LinearRing.
OSGeo::FDO::Geometry::ILineString * | CreateLineString (System::Int32 dimensionType, System::Int32 ordinateNumber, System::Double ordinates __gc[])
| Creates a LineString object by copying from an array of ordinates.
OSGeo::FDO::Geometry::ILineString * | CreateLineString (OSGeo::FDO::Geometry::DirectPositionCollection *positions)
| LineString.
OSGeo::FDO::Geometry::ILineStringSegment * | CreateLineStringSegment (System::Int32 dimType, System::Int32 ordinateNumber, System::Double ordinates __gc[])
| Creates a LineStringSegment object by copying from an array of ordinates.
OSGeo::FDO::Geometry::ILineStringSegment * | CreateLineStringSegment (OSGeo::FDO::Geometry::DirectPositionCollection *positions)
| LineStringSegment.
OSGeo::FDO::Geometry::IMultiCurvePolygon * | CreateMultiCurvePolygon (OSGeo::FDO::Geometry::CurvePolygonCollection *curvePolygons)
| MultiCurvePolygon.
OSGeo::FDO::Geometry::IMultiCurveString * | CreateMultiCurveString (OSGeo::FDO::Geometry::CurveStringCollection *curveStrings)
| MultiCurveString.
OSGeo::FDO::Geometry::IMultiGeometry * | CreateMultiGeometry (OSGeo::FDO::Geometry::GeometryCollection *geometries)
| MultiGeometry.
OSGeo::FDO::Geometry::IMultiLineString * | CreateMultiLineString (OSGeo::FDO::Geometry::LineStringCollection *lineStrings)
| MultiLineString.
OSGeo::FDO::Geometry::IMultiPoint * | CreateMultiPoint (System::Int32 dimensionality, System::Int32 ordinateNumber, System::Double ordinates __gc[])
| Creates a MultiPoint object by copying from an array of ordinates.
OSGeo::FDO::Geometry::IMultiPoint * | CreateMultiPoint (OSGeo::FDO::Geometry::PointCollection *points)
| MultiPoint.
OSGeo::FDO::Geometry::IMultiPolygon * | CreateMultiPolygon (OSGeo::FDO::Geometry::PolygonCollection *polygons)
| Creates a MultiPolygon object by copying from a collection of polygon objects.
OSGeo::FDO::Geometry::IPoint * | CreatePoint (System::Int32 dimensionality, System::Double ordinates __gc[])
| Creates a point object by copying from an array of ordinates.
OSGeo::FDO::Geometry::IPoint * | CreatePoint (OSGeo::FDO::Geometry::IDirectPosition *position)
| Point.
OSGeo::FDO::Geometry::IPolygon * | CreatePolygon (OSGeo::FDO::Geometry::ILinearRing *exteriorRing, OSGeo::FDO::Geometry::LinearRingCollection *interiorRings)
| Polygon.
OSGeo::FDO::Geometry::IDirectPosition * | CreatePosition (OSGeo::FDO::Geometry::IDirectPosition *position)
| Creates a position object by copying from an existing position.
OSGeo::FDO::Geometry::IDirectPosition * | CreatePositionXY (System::Double coordinateX, System::Double coordinateY)
| Creates a position object using X and Y ordinates.
OSGeo::FDO::Geometry::IDirectPosition * | CreatePositionXYM (System::Double coordinateX, System::Double coordinateY, System::Double coordinateM)
| Creates a position object using X, Y and M ordinates.
OSGeo::FDO::Geometry::IDirectPosition * | CreatePositionXYZ (System::Double coordinateX, System::Double coordinateY, System::Double coordinateZ)
| Creates a position object using X, Y and Z ordinates.
OSGeo::FDO::Geometry::IDirectPosition * | CreatePositionXYZM (System::Double coordinateX, System::Double coordinateY, System::Double coordinateZ, System::Double coordinateM)
| Creates a position object using X, Y, Z and M ordinates.
OSGeo::FDO::Geometry::IRing * | CreateRing (OSGeo::FDO::Geometry::CurveSegmentCollection *curveSegments)
| Ring.
| GeometryFactoryAbstract (System::IntPtr unmanaged, System::Boolean autoDelete)
| Constructs an GeometryFactoryAbstract managed object based on an unmanaged instance of the object.